6.0.0-git
2021-01-18

[#3660] Mailbox not changed in session
Summary Mailbox not changed in session
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester jan (at) horde (dot) org
Created 2006-03-20 (5418 days ago)
Due
Updated 2006-03-25 (5413 days ago)
Assigned 2006-03-22 (5416 days ago)
Resolved 2006-03-25 (5413 days ago)
Milestone
Patch No

History
2006-03-25 00:15:44 Jan Schneider State ⇒ Resolved
 
2006-03-23 02:52:46 Chuck Hagenbuch Comment #6 Reply to this comment
What do people think, does this justify an sql upgrade script? Or
should we even consider table level locking if people are not using
InnoDB? I guess that's a bad idea for a session table.
Yes... but perhaps it'd be better to default to slow and safe instead 
of faster but buggy...
2006-03-22 23:22:28 Jan Schneider Comment #5
State ⇒ Feedback
Reply to this comment
Sorry, I forgot to close this ticket. This has been fixed by my 
changes to the mysql session handler. This only works if using a mysql 
engine that supports row level locking like InnoDB.



What do people think, does this justify an sql upgrade script? Or 
should we even consider table level locking if people are not using 
InnoDB? I guess that's a bad idea for a session table.
2006-03-22 21:47:03 Michael Slusarz Comment #4 Reply to this comment
Ah, that's a good hint. I had indeed mysql sessions turned on in HEAD
to test the login/logout issue.
My guess is you are switching mailboxes in your main frame while the 
sidebar is reloading so the mailbox change is not being set in the 
session properly.  This sounds like it is a duplicate of our previous 
SQL concurrent sessions ticket.
2006-03-21 09:29:55 Jan Schneider Comment #3 Reply to this comment
Ah, that's a good hint. I had indeed mysql sessions turned on in HEAD 
to test the login/logout issue.
2006-03-21 04:49:12 Michael Slusarz Comment #2 Reply to this comment
FWIW, I have never seen this behavior.  Maybe a session-handler 
related issue? (I am using file-based sessions)
2006-03-20 08:37:33 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Mailbox not changed in session
Queue ⇒ IMP
Reply to this comment
This is one of the bug reports I hate personally, but I can't tell you 
more than that /sometimes/ changing the folder is not persistant. 
Whether I switch to a folder with the drop down box or through ono of 
the trees doesn't matter. I get to the correct mailbox, but the new 
mailbox doesn't seem to be saved in the session. Any following action 
is done in the context of the old mailbox, reading messages, 
refreshing the mailbox view, etc.

Of course this is not reproducable, but once that happens, I can only 
get IMP to stay in the new mailbox if go to a different folder first.

Saved Queries